## galapi
Class Attribute

    java.lang.Object
      galapi.Item
          galapi.Node
              galapi.Attribute

public class Attribute
extends Node

A node attribute in the XQeury data model.

See Also:
  `Item`, `Node`

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`protected` `Attribute(int native_item)`
`` `Attribute(xsQName qName, xsString s, xsQName qName1)`

Method Summary
`protected static int` `attributeToItem(int q, int s, int q1)`
`protected void` `finalize()` This method is used to release the item and the memory allocated to it.

Methods inherited from class galapi.Node
`attributes, baseURI, children, nativeAttributes, nativeBaseURI, nativeChildren, nativeNodeKind, nativeNodeName, nativeParent, nativeTypedValue, nodeKind, nodeName, parent, typedValue`

Methods inherited from class galapi.Item
`getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(xsQName qName,
                     xsString s,
                     xsQName qName1)
              throws GalapiException

Parameters:
  `qName` - the name of the attribute
  `s` - the content of the attribute
  `qName1` - the name of the type of the attribute

### Attribute

    protected Attribute(int native_item)

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Description copied from class: `Item`
  This method is used to release the item and the memory allocated to it.

  Overrides:
    `finalize` in class `Item`
  Throws:
    `java.lang.Throwable`

### attributeToItem

    protected static int attributeToItem(int q,
                                         int s,
                                         int q1)